WordPress.org

Make WordPress Core

Opened 4 weeks ago

Closed 4 weeks ago

Last modified 4 weeks ago

#51659 closed defect (bug) (fixed)

Update Gutenberg Dependencies for WordPress 5.5.2

Reported by: whyisjake Owned by:
Milestone: 5.5.2 Priority: high
Severity: normal Version: 5.5.1
Component: Editor Keywords: needs-patch dev-feedback
Focuses: Cc:

Description

With the pending WordPress 5.5.2 release, let's update the Gutenberg dependencies and see if there are any backports needed for the release.

Change History (7)

#2 @noisysocks
4 weeks ago

I went through the list and here's the PRs that seem relevant to 5.5 that I'll backport:

  • GB24847 (Fixes #51053)
  • GB26212 (Fixes #50949)
  • GB24852
  • GB25107
  • GB26376 (Edit: Nope, it's not ready)
  • GB26529
Last edited 4 weeks ago by noisysocks (previous) (diff)

#3 @noisysocks
4 weeks ago

Here's the Gutenberg PR containing the cherry picks: https://github.com/WordPress/gutenberg/pull/26562

#4 @noisysocks
4 weeks ago

In 49372:

Editor: Update packages

@wordpress/block-directory: 1.13.7 -> 1.13.8
@wordpress/block-editor: 4.3.7 -> 4.3.8
@wordpress/block-library: 2.22.7 -> 2.22.8
@wordpress/blocks: 6.20.3 -> 6.20.4
@wordpress/components: 10.0.6 -> 10.0.7
@wordpress/core-data: 2.20.3 -> 2.20.4
@wordpress/edit-post: 3.21.7 -> 3.21.8
@wordpress/editor: 9.20.7 -> 9.20.8
@wordpress/format-library: 1.22.7 -> 1.22.8
@wordpress/icons: 2.4.0 -> 2.4.1
@wordpress/list-reusable-blocks: 1.21.6 -> 1.21.7
@wordpress/nux: 3.20.6 -> 3.20.7
@wordpress/plugins: 2.20.3 -> 2.20.4
@wordpress/server-side-render: 1.16.6 -> 1.16.7

Props talldanwp.
See #51659, #51053, #50949.

#5 @noisysocks
4 weeks ago

  • Resolution set to fixed
  • Status changed from new to closed

#6 @noisysocks
4 weeks ago

In 49446:

Editor: Update packages

@wordpress/block-directory: 1.13.8 -> 1.13.9
@wordpress/block-editor: 4.3.8 -> 4.3.9
@wordpress/block-library: 2.22.8 -> 2.22.9
@wordpress/edit-post: 3.21.8 -> 3.21.9
@wordpress/edit-site: 1.11.8 -> 1.11.9
@wordpress/editor: 9.20.8 -> 9.20.9
@wordpress/format-library: 1.22.8 -> 1.22.9

See #51659.

#7 @noisysocks
4 weeks ago

For posterity, this cherry pick was included too: https://github.com/WordPress/gutenberg/pull/26580

Note: See TracTickets for help on using tickets.